/*
 Navicat Premium Dump SQL

 Source Server         : 123.60.88.248
 Source Server Type    : MySQL
 Source Server Version : 50744 (5.7.44)
 Source Host           : 123.60.88.248:3306
 Source Schema         : 7.19ks

 Target Server Type    : MySQL
 Target Server Version : 50744 (5.7.44)
 File Encoding         : 65001

 Date: 19/07/2024 08:56:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for stu_cou
-- ----------------------------
DROP TABLE IF EXISTS `stu_cou`;
CREATE TABLE `stu_cou`  (
  `sc_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_id` int(11) NULL DEFAULT NULL,
  `stu_id` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`sc_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of stu_cou
-- ----------------------------
INSERT INTO `stu_cou` VALUES (1, 2, 1);
INSERT INTO `stu_cou` VALUES (2, 2, 2);
INSERT INTO `stu_cou` VALUES (3, 2, 3);
INSERT INTO `stu_cou` VALUES (4, 3, 5);
INSERT INTO `stu_cou` VALUES (5, 1, 4);
INSERT INTO `stu_cou` VALUES (6, 3, 5);
INSERT INTO `stu_cou` VALUES (7, 3, 6);
INSERT INTO `stu_cou` VALUES (8, 1, 7);
INSERT INTO `stu_cou` VALUES (9, 1, 5);
INSERT INTO `stu_cou` VALUES (10, 1, 7);
INSERT INTO `stu_cou` VALUES (11, 3, 8);
INSERT INTO `stu_cou` VALUES (12, 3, 9);
INSERT INTO `stu_cou` VALUES (13, 3, 10);
INSERT INTO `stu_cou` VALUES (14, 3, 2);
INSERT INTO `stu_cou` VALUES (15, 3, 2);

-- ----------------------------
-- Table structure for t_course
-- ----------------------------
DROP TABLE IF EXISTS `t_course`;
CREATE TABLE `t_course`  (
  `c_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '课程编号',
  `c_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '课程名称',
  PRIMARY KEY (`c_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_course
-- ----------------------------
INSERT INTO `t_course` VALUES (1, '中文');
INSERT INTO `t_course` VALUES (2, '英文');
INSERT INTO `t_course` VALUES (3, '数理');

-- ----------------------------
-- Table structure for t_student
-- ----------------------------
DROP TABLE IF EXISTS `t_student`;
CREATE TABLE `t_student`  (
  `stu_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '学生编号',
  `stu_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '学生姓名',
  `stu_sex` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '学生性别',
  PRIMARY KEY (`stu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_student
-- ----------------------------
INSERT INTO `t_student` VALUES (1, '张三', '男');
INSERT INTO `t_student` VALUES (2, '李四', '男');
INSERT INTO `t_student` VALUES (3, '王五', '男');
INSERT INTO `t_student` VALUES (4, '赵六', '男');
INSERT INTO `t_student` VALUES (5, '田七', '男');
INSERT INTO `t_student` VALUES (6, '老八', '女');
INSERT INTO `t_student` VALUES (7, '小九', '女');
INSERT INTO `t_student` VALUES (8, '白', '女');
INSERT INTO `t_student` VALUES (9, '黑', '男');
INSERT INTO `t_student` VALUES (10, '红', '男');
INSERT INTO `t_student` VALUES (11, '绿', '男');

SET FOREIGN_KEY_CHECKS = 1;
